stages:
#  - build
  - deploy

#variables:
#  DOCKER_IMG_TAG: docker.io/taufiq/demo:product-service

#build:
#  stage: build
#  tags:
#    - dev
#  script:
#    - make build

deploy:
  stage: deploy
  tags:
    - deploy
  before_script:
    - export PATH=$PATH:/home/ubuntu/go/bin
  script:
    - micro login --username admin --password micro
    - micro run .
    - micro update .
